Package com.sas.lsaf.core

## Class SearchResultsInfo

- java.lang.Object
- - com.sas.lsaf.core.SearchResultsInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SearchResultsInfo
      extends java.lang.Object
      implements java.io.Serializable

  This class represents the results of a search executed on the server. The token can be used to retrieve pages of results.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SearchResultsInfo​(java.lang.String token, int rowCount, boolean limitReached)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `getRowCount()` | Gets the total number of rows found that match the query.
    `java.lang.String` | `getToken()` | Gets the unique identifier for these results.
    `int` | `hashCode()` |
    `boolean` | `isLimitReached()` | Indicates whether the query results exceed the maximum number of items allowed on the server.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchResultsInfo

          public SearchResultsInfo​(java.lang.String token,
                                   int rowCount,
                                   boolean limitReached)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the search results objects returned by the API.
      Parameters:
        `token` - the unique identifier for these results. This token can be used to retrieve further results if desired,
        `rowCount` - the total number of rows found that match the query.
        `limitReached` - whether the query results exceed the maximum number of items allowed on the server.

  - ### Method Detail

    - #### getToken

          public java.lang.String getToken()

      Gets the unique identifier for these results. This token can be used to retrieve further results if desired,
      Returns:
        The unique identifier for these results. This token can be used to retrieve further results if desired,

    - #### getRowCount

          public int getRowCount()

      Gets the total number of rows found that match the query.
      Returns:
        The total number of rows found that match the query.

    - #### isLimitReached

          public boolean isLimitReached()

      Indicates whether the query results exceed the maximum number of items allowed on the server.
      Returns:
        True, if the query results exceed the maximum number of items allowed on the server, False otherwise

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`